> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/hao-ma-ming-cheng-geng-xin.md).

# 号码名称更新

当修改提交sender名称发生变动时触发该事件：whatsapp\_phone\_number\_name\_update

| 字段                               | 数据类型   | 是否必填 | 描述                                                                                                                                                                                                                                                                                                                                                                   |
| -------------------------------- | ------ | ---- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| wabaId                           | String | 是    | WabaId                                                                                                                                                                                                                                                                                                                                                               |
| displayPhoneNumber               | String | 是    | sender 号码                                                                                                                                                                                                                                                                                                                                                            |
| decision                         | String | 是    | 表示企业电话号码显示名称验证过程的结果。**APPROVED**：  表示显示名称已获批准，现在将显示在 WhatsApp 客户端中企业电话号码个人资料的顶部。**DEFERRED**：  表示决定已被推迟。**PENDING**：  表示该决定仍有待进一步审查。**REJECTED**：  表示显示名称已被拒绝。您可以使用WhatsApp 管理器编辑该名称。编辑前，请查看我们的显示名称指南。                                                                                                                                                               |
| <p>requestedVerifiedName<br></p> | String | 是    | 创建号码时收集的企业电话号码显示名称，或编辑已批准的显示名称时提交的名称                                                                                                                                                                                                                                                                                                                                 |
| rejectionReason                  | String | 是    | 如果公司电话号码显示名称被拒绝，请说明原因。请查看我们的显示名称指南，了解常见的拒绝原因。可选值：**NAME\_EMPLOYEE\_ISSUE**：  由于显示名称倾向于个人姓名或员工标识符而被拒绝。**NAME\_ENDCLIENT\_NOTRELATED**:   被拒绝，因为显示名称倾向于不相关的企业名称。**NAME\_FORMAT\_UNACCEPTABLE**:由于显示名称使用了不可接受的格式而被拒绝。**NAME\_INDIVIDUAL\_ISSUE**:  被拒绝，因为显示名称倾向于个人姓名或员工标识符。— NAME\_NOT\_CONSISTENT被拒绝，因为显示名称与企业的品牌不一致。**null**:  表示名称已被接受。**UNKNOWN**:   因未知原因被拒绝。请联系客服 |

<pre class="language-json"><code class="lang-json">{
    "id": "fd201190-50dc-4151-baec-1d16c8a704e1",
    "type": "whatsapp_phone_number_name_update",
    "eventTime": "2023-10-16T13:04:57.644Z",
    "body": {
<strong>        "decision": "REJECTED",
</strong>        "requestedVerifiedName": "zhangsan",
<strong>        "rejectionReason": "NAME_EMPLOYEE_ISSUE",
</strong>        "displayPhoneNumber": "108672***726376",
        "wabaId": "110129****080569"
    }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/whatsapp-business-api/webhook/hao-ma-ming-cheng-geng-xin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
